co.aikar.commands

## Enum MinecraftMessageKeys

- java.lang.Object
- - java.lang.Enum<MinecraftMessageKeys>
  - - co.aikar.commands.MinecraftMessageKeys

All Implemented Interfaces:
  co.aikar.locales.MessageKeyProvider, Serializable, Comparable<MinecraftMessageKeys>

    public enum MinecraftMessageKeys
    extends Enum<MinecraftMessageKeys>
    implements co.aikar.locales.MessageKeyProvider

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IS_NOT_A_VALID_NAME`
`MULTIPLE_PLAYERS_MATCH`
`NO_PLAYER_FOUND`
`NO_PLAYER_FOUND_SERVER`
`USERNAME_TOO_SHORT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`co.aikar.locales.MessageKey` `getMessageKey()`
`static MinecraftMessageKeys` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MinecraftMessageKeys[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USERNAME_TOO_SHORT

    public static final MinecraftMessageKeys USERNAME_TOO_SHORT

#### IS_NOT_A_VALID_NAME

    public static final MinecraftMessageKeys IS_NOT_A_VALID_NAME

#### MULTIPLE_PLAYERS_MATCH

    public static final MinecraftMessageKeys MULTIPLE_PLAYERS_MATCH

#### NO_PLAYER_FOUND_SERVER

    public static final MinecraftMessageKeys NO_PLAYER_FOUND_SERVER

#### NO_PLAYER_FOUND

    public static final MinecraftMessageKeys NO_PLAYER_FOUND

### Method Detail

#### values

    public static MinecraftMessageKeys[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MinecraftMessageKeys c : MinecraftMessageKeys.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MinecraftMessageKeys valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMessageKey

    public co.aikar.locales.MessageKey getMessageKey()

Specified by:
  `getMessageKey` in interface `co.aikar.locales.MessageKeyProvider`